export declare enum DynamoErrorCode {
    AccessDeniedException = 0,
    ConditionalCheckFailedException = 1,
    IncompleteSignatureException = 2,
    ItemCollectionSizeLimitExceededException = 3,
    LimitExceededException = 4,
    MissingAuthenticationTokenException = 5,
    ProvisionedThroughputExceededException = 6,
    ResourceInUseException = 7,
    ResourceNotFoundException = 8,
    ThrottlingException = 9,
    UnrecognizedClientException = 10,
    ValidationException = 11,
}
